Validate Resource Certificates

Validate Resource Certificates
Perform validation of the ResourceCertificateSpec specification

Validate resource certificates

Request
URI
PUT
https://{api_host}/v1/domains/{id}/resource-certificates/validations
COPY
Path Parameters
string
id
Required

Domain ID

id example
3E86FBAD-8984-4D4B-992D-F0C49857572A

Request Body

Each resource must be represented only once in the array. Do not provide multiple entries for the same host using different identifiers. For example, you cannot have one entry using resourceId and a separate entry using resourceFqdn for the same resource within the same request.

[
    {
        "resourceId": "BE8A5E04-92A0-43F6-A166-AA041F4327CC",
        "resourceFqdn": "sfo-vc01.rainpole.io",
        "resourceCertificate": "-----BEGIN CERTIFICATE-----\nMIIFq...\n-----END CERTIFICATE-----",
        "caCertificate": "-----BEGIN CERTIFICATE-----\nMIIFq...\n-----END CERTIFICATE-----",
        "certificateChain": "-----BEGIN CERTIFICATE-----\nMIIFq...\n-----END CERTIFICATE-----\n-----BEGIN CERTIFICATE-----\nMIIFq...\n-----END CERTIFICATE-----"
    }
]
Optional
Constraints: minItems: 1 maxItems: 2147483647
Responses
201

Created

Returns CertificateValidationTask of type(s) application/json
{
    "validationId": "B1930850-7D1A-4BAA-89D7-52FD5DAD196A",
    "startTimestamp": "2021-02-02T00:00:00.000Z",
    "endTimestamp": "2021-02-02T00:00:00.000Z",
    "completed": false,
    "validations": [
        {
            "resourceId": "BE8A5E04-92A0-43F6-A166-AA041F4327CC",
            "resourceFqdn": "sfo-vc01.rainpole.io",
            "startTimestamp": "2020-01-01T00:00:00.000Z",
            "endTimestamp": "2021-02-02T00:00:00.000Z",
            "validationStatus": "One among: INPROGRESS, SUCCESSFUL, FAILED",
            "validationMessage": "Certificate Expired"
        }
    ]
}
string
validationId
Required

Validation ID

string
startTimestamp
Optional

Validation Task Start Time

string
endTimestamp
Optional

Validation Task End Time

boolean
completed
Required

Validation Task Completed

array of object
validations
Required

Resource Certificate Validations

Response Headers

string
location

API to fetch certificate validation status


404

Not Found

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string"
        }
    ],
    "referenceToken": "string"
}
string
errorCode
Read-Only

The minor error code

string
errorType
Read-Only

The error type

array of string
arguments
Read-Only

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only

The error context (e.g. the component where it occurred).

string
message
Read-Only

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.


500

InternalServerError

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only

The minor error code

string
errorType
Read-Only

The error type

array of string
arguments
Read-Only

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only

The error context (e.g. the component where it occurred).

string
message
Read-Only

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '[{}]' https://{api_host}/v1/domains/{id}/resource-certificates/validations